# zun

## appcontainer action list

List actions on a container

    openstack appcontainer action list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <container>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

container

  ID or name of the container to list actions.

This command is provided by the python-zunclient plugin.

## appcontainer action show

Show a action

    openstack appcontainer action show <container> <request_id>

container

  ID or name of the container to show.

request_id

  request ID of action to describe.

This command is provided by the python-zunclient plugin.

## appcontainer add floating ip

Add floating IP address to container

    openstack appcontainer add floating ip
        [--fixed-ip-address <ip-address>]
        <container>
        <ip-address>

--fixed-ip-address <ip-address>

  Fixed IP address to associate with this floating IP address. The first container port containing the fixed IP address will be used

container

  ID or name of the container to receive the floating IP address.

ip-address

  Floating IP address to assign to the first available container port (IP only)

This command is provided by the python-zunclient plugin.

## appcontainer add security group

Add security group for specified container.

    openstack appcontainer add security group <container> <security_group>

container

  ID or name of the container to add security group.

security_group

  Security group ID or name for specified container.

This command is provided by the python-zunclient plugin.

## appcontainer attach

Attach to a running container

    openstack appcontainer attach <container>

container

  ID or name of the container to be attached to.

This command is provided by the python-zunclient plugin.

## appcontainer availability zone list

List availability zones

    openstack appcontainer availability zone list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

This command is provided by the python-zunclient plugin.

## appcontainer commit

Create a new image from a container’s changes

    openstack appcontainer commit <container> <repository>[:<tag>]

container

  ID or name of the (container)s to commit.

repository>[:<tag

  Repository and tag of the new image.

This command is provided by the python-zunclient plugin.

## appcontainer cp

Copy files/tars between a container and the local filesystem.

    openstack appcontainer cp <source> <destination>

source

  The source should be copied to the container or localhost. The format of this parameter is [container:]src_path.

destination

  The directory destination where save the source. The format of this parameter is [container:]dest_path.

This command is provided by the python-zunclient plugin.

## appcontainer create

Create a container

    openstack appcontainer create
        [--name <name>]
        [--cpu <cpu>]
        [--memory <memory>]
        [--environment <KEY=VALUE>]
        [--workdir <workdir>]
        [--label <KEY=VALUE>]
        [--image-pull-policy <policy>]
        [--restart <restart> | --auto-remove]
        [--image-driver <image_driver>]
        [--interactive]
        [--security-group
        <security_group>
        |
        --expose-port <port>
        ]
        [--hint <key=value>]
        [--net <network=network, port=port-uuid,v4-fixed-ip=ip-addr,v6-fixed-ip=ip-addr>]
        [--mount <mount>]
        [--runtime <runtime>]
        [--hostname <hostname>]
        [--disk <disk>]
        [--availability-zone <availability_zone>]
        [--auto-heal]
        [--privileged]
        [--healthcheck <cmd=test_cmd,interval=time,retries=n,timeout=time>]
        [--wait]
        [--registry <registry>]
        [--host <host>]
        [--entrypoint <entrypoint>]
        <image>
        ...

--name <name>

  name of the container

--cpu <cpu>

  The number of virtual cpus.

--memory <memory>

  The container memory size in MiB

--environment <KEY=VALUE>

  The environment variables

--workdir <workdir>

  The working directory for commands to run in

--label <KEY=VALUE>

  Adds a map of labels to a container. May be used multiple times.

--image-pull-policy <policy>

  The policy which determines if the image should be pulled prior to starting the container. It can have following values: “ifnotpresent”: only pull the image if it does not already exist on the node. “always”: Always pull the image from repository.”never”: never pull the image

--restart <restart>

  Restart policy to apply when a container exits(no, on-failure[:max-retry], always, unless-stopped)

--auto-remove

  Automatically remove the container when it exits

--image-driver <image_driver>

  The image driver to use to pull container image. It can have following values: “docker”: pull the image from Docker Hub. “glance”: pull the image from Glance.

--interactive

  Keep STDIN open even if not attached, allocate a pseudo-TTY

--security-group <security_group>

  The name of security group for the container. May be used multiple times.

--expose-port <port>

  Expose container port(s) to outside (format: <port>[/<protocol>]).

--hint <key=value>

  The key-value pair(s) for scheduler to select host. The format of this parameter is “key=value[,key=value]”. May be used multiple times.

--net <network=network, port=port-uuid,v4-fixed-ip=ip-addr,v6-fixed-ip=ip-addr>

  Create network enpoints for the container. network: attach container to the specified neutron networks. port: attach container to the neutron port with this UUID. v4-fixed-ip: IPv4 fixed address for container. v6-fixed-ip: IPv6 fixed address for container.

--mount <mount>

  A dictionary to configure volumes mounted inside the container.

--runtime <runtime>

  The runtime to use for this container. It can have value “runc” or any other custom runtime.

--hostname <hostname>

  Container host name

--disk <disk>

  The disk size in GiB for per container.

--availability-zone <availability_zone>

  The availability zone of the container.

--auto-heal

  The flag of healing non-existent container in docker

--privileged

  Give extended privileges to this container

--healthcheck <cmd=test_cmd,interval=time,retries=n,timeout=time>

  Specify a test cmd to perform to check that the containeris healthy. cmd: Command to run to check health. interval: Time between running the check (`s|m|h`) (default 0s). retries: Consecutive failures needed to report unhealthy.timeout: Maximum time to allow one check to run (`s|m|h`) (default 0s).

--wait

  Wait for create to complete

--registry <registry>

  The container image registry ID or name.

--host <host>

  Requested host to create containers. Admin only by default. (supported by –os-container-api-version 1.39 or above

--entrypoint <entrypoint>

  The entrypoint which overwrites the default ENTRYPOINT of the image.

image

  name or ID or repo of the image (e.g. cirros:latest)

command

  Send command to the container

This command is provided by the python-zunclient plugin.

## appcontainer delete

Delete specified container(s)

    openstack appcontainer delete
        [--force]
        [--stop]
        [--all-projects]
        [--wait]
        <container>
        [<container> ...]

--force

  Force delete the container.

--stop

  Stop the running container first before delete.

--all-projects

  Delete container(s) in all projects by name.

--wait

  Wait for create to complete

container

  ID or name of the container(s) to delete.

This command is provided by the python-zunclient plugin.

## appcontainer exec

Execute command in a running container

    openstack appcontainer exec [--interactive] <container> ...

--interactive

  Keep STDIN open and allocate a pseudo-TTY for interactive

container

  ID or name of the container to execute command in.

command

  The command to execute.

This command is provided by the python-zunclient plugin.

## appcontainer host list

List available hosts

    openstack appcontainer host list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker <marker>]
        [--limit <limit>]
        [--sort-key <sort-key>]
        [--sort-dir <sort-dir>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <marker>

  The last host UUID of the previous page; displays list of hosts after “marker”.

--limit <limit>

  Maximum number of hosts to return

--sort-key <sort-key>

  Column to sort results by

--sort-dir <sort-dir>

  Direction to sort. “asc” or “desc”.

This command is provided by the python-zunclient plugin.

## appcontainer host show

Show a host

    openstack appcontainer host show <host>

host

  ID or name of the host to show.

This command is provided by the python-zunclient plugin.

## appcontainer image delete

Delete specified image from a host

    openstack appcontainer image delete <uuid>

uuid

  UUID of image to describe

This command is provided by the python-zunclient plugin.

## appcontainer image list

List available images

    openstack appcontainer image list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--marker <marker>]
        [--limit <limit>]
        [--sort-key <sort-key>]
        [--sort-dir <sort-dir>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <marker>

  The last image UUID of the previous page; displays list of images after “marker”.

--limit <limit>

  Maximum number of images to return

--sort-key <sort-key>

  Column to sort results by

--sort-dir <sort-dir>

  Direction to sort. “asc” or “desc”.

This command is provided by the python-zunclient plugin.

## appcontainer image pull

Pull specified image into a host

    openstack appcontainer image pull <image> <host>

image

  Name of the image

host

  Name or UUID of the host

This command is provided by the python-zunclient plugin.

## appcontainer image search

Search specified image

    openstack appcontainer image search
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--image-driver <image-driver>]
        [--exact-match]
        <image_name>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--image-driver <image-driver>

  Name of the image driver

--exact-match

  exact match image name

image_name

  Name of the image

This command is provided by the python-zunclient plugin.

## appcontainer image show

Describe a specific image

    openstack appcontainer image show <uuid>

uuid

  UUID of image to describe

This command is provided by the python-zunclient plugin.

## appcontainer kill

Kill one or more running container(s)

    openstack appcontainer kill
        [--signal <signal>]
        <container>
        [<container> ...]

--signal <signal>

  The signal to kill

container

  ID or name of the (container)s to kill.

This command is provided by the python-zunclient plugin.

## appcontainer list

List available containers

    openstack appcontainer list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--marker <marker>]
        [--limit <limit>]
        [--sort-key <sort-key>]
        [--sort-dir <sort-dir>]
        [--name <name>]
        [--image <image>]
        [--project-id <project-id>]
        [--user-id <user-id>]
        [--task-state <task-state>]
        [--status <status>]
        [--memory <memory>]
        [--host <host>]
        [--auto-remove <auto-remove>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  List containers in all projects

--marker <marker>

  The last container UUID of the previous page; displays list of containers after “marker”.

--limit <limit>

  Maximum number of containers to return

--sort-key <sort-key>

  Column to sort results by

--sort-dir <sort-dir>

  Direction to sort. “asc” or “desc”.

--name <name>

  List containers according to their name.

--image <image>

  List containers according to their image.

--project-id <project-id>

  List containers according to their project_id

--user-id <user-id>

  List containers according to their user_id

--task-state <task-state>

  List containers according to their task-state

--status <status>

  List containers according to their Status

--memory <memory>

  List containers according to their memory size in MiB

--host <host>

  List containers according to their hostname

--auto-remove <auto-remove>

  List containers whether they are auto-removed on exiting

This command is provided by the python-zunclient plugin.

## appcontainer logs

Get logs of a container

    openstack appcontainer logs
        [--stdout]
        [--stderr]
        [--since <since>]
        [--timestamps]
        [--tail <tail>]
        <container>

--stdout

  Only stdout logs of container.

--stderr

  Only stderr logs of container.

--since <since>

  Show logs since a given datetime or integer epoch (in seconds).

--timestamps

  Show timestamps.

--tail <tail>

  Number of lines to show from the end of the logs.

container

  ID or name of the container to get logs for.

This command is provided by the python-zunclient plugin.

## appcontainer network attach

Attach neutron network to specified container.

    openstack appcontainer network attach
        [--network <network>]
        [--port <port>]
        [--fixed-ip <fixed_ip>]
        <container>

--network <network>

  The network for specified container to attach.

--port <port>

  The port for specified container to attach.

--fixed-ip <fixed_ip>

  The fixed-ip that container will attach to.

container

  ID or name of the container to attach network.

This command is provided by the python-zunclient plugin.

## appcontainer network detach

Detach neutron network from specified container.

    openstack appcontainer network detach
        [--network
        <network>
        |
        --port <port>
        ]
        <container>

--network <network>

  The network for specified container to detach.

--port <port>

  The port for specified container to detach.

container

  ID or name of the container to detach network.

This command is provided by the python-zunclient plugin.

## appcontainer network list

List networks on a container

    openstack appcontainer network list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <container>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

container

  ID or name of the container to list networks.

This command is provided by the python-zunclient plugin.

## appcontainer pause

Pause specified container

    openstack appcontainer pause <container> [<container> ...]

container

  ID or name of the (container)s to pause.

This command is provided by the python-zunclient plugin.

## appcontainer quota class get

List the quotas for a quota class

    openstack appcontainer quota class get <quota_class_name>

quota_class_name

  The name of quota class

This command is provided by the python-zunclient plugin.

## appcontainer quota class update

Update the quotas for a quota class

    openstack appcontainer quota class update
        [--containers <containers>]
        [--memory <memory>]
        [--cpu <cpu>]
        [--disk <disk>]
        <quota_class_name>

--containers <containers>

  The number of containers allowed per project

--memory <memory>

  The number of megabytes of container RAM allowed per project

--cpu <cpu>

  The number of container cores or vCPUs allowed per project

--disk <disk>

  The number of gigabytes of container Disk allowed per project

quota_class_name

  The name of quota class

This command is provided by the python-zunclient plugin.

## appcontainer quota default

Get default quota of the project

    openstack appcontainer quota default <project_id>

project_id

  The UUID of project in a multi-project cloud

This command is provided by the python-zunclient plugin.

## appcontainer quota delete

Delete quota of the project

    openstack appcontainer quota delete <project_id>

project_id

  The UUID of project in a multi-project cloud

This command is provided by the python-zunclient plugin.

## appcontainer quota get

Get quota of the project

    openstack appcontainer quota get [--usages] <project_id>

--usages

  Whether show quota usage statistic or not

project_id

  The UUID of project in a multi-project cloud

This command is provided by the python-zunclient plugin.

## appcontainer quota update

Update the quotas of the project

    openstack appcontainer quota update
        [--containers <containers>]
        [--memory <memory>]
        [--cpu <cpu>]
        [--disk <disk>]
        <project_id>

--containers <containers>

  The number of containers allowed per project

--memory <memory>

  The number of megabytes of container RAM allowed per project

--cpu <cpu>

  The number of container cores or vCPUs allowed per project

--disk <disk>

  The number of gigabytes of container Disk allowed per project

project_id

  The UUID of project in a multi-project cloud

This command is provided by the python-zunclient plugin.

## appcontainer rebuild

Rebuild one or more running container(s)

    openstack appcontainer rebuild
        [--image <image>]
        [--image-driver <image_driver>]
        [--wait]
        <container>
        [<container> ...]

--image <image>

  The image for specified container to update.

--image-driver <image_driver>

  The image driver to use to update container image. It can have following values: “docker”: update the image from Docker Hub. “glance”: update the image from Glance. The default value is source container’s image driver

--wait

  Wait for rebuild to complete

container

  ID or name of the (container)s to rebuild.

This command is provided by the python-zunclient plugin.

## appcontainer registry create

Create a registry

    openstack appcontainer registry create
        [--name <name>]
        [--username <username>]
        [--password <password>]
        --domain <domain>

--name <name>

  The name of the registry.

--username <username>

  The username to login to the registry.

--password <password>

  The password to login to the registry.

--domain <domain>

  The domain of the registry.

This command is provided by the python-zunclient plugin.

## appcontainer registry delete

Delete specified registry(s)

    openstack appcontainer registry delete <registry> [<registry> ...]

registry

  ID or name of the registry(s) to delete.

This command is provided by the python-zunclient plugin.

## appcontainer registry list

List available registries

    openstack appcontainer registry list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]
        [--marker <marker>]
        [--limit <limit>]
        [--sort-key <sort-key>]
        [--sort-dir <sort-dir>]
        [--name <name>]
        [--domain <domain>]
        [--project-id <project-id>]
        [--user-id <user-id>]
        [--username <username>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  List registries in all projects

--marker <marker>

  The last registry UUID of the previous page; displays list of registries after “marker”.

--limit <limit>

  Maximum number of registries to return

--sort-key <sort-key>

  Column to sort results by

--sort-dir <sort-dir>

  Direction to sort. “asc” or “desc”.

--name <name>

  List registries according to their name.

--domain <domain>

  List registries according to their domain.

--project-id <project-id>

  List registries according to their project_id

--user-id <user-id>

  List registries according to their user_id

--username <username>

  List registries according to their username

This command is provided by the python-zunclient plugin.

## appcontainer registry show

Show a registry

    openstack appcontainer registry show <registry>

registry

  ID or name of the registry to show.

This command is provided by the python-zunclient plugin.

## appcontainer registry update

Update one or more attributes of the registry

    openstack appcontainer registry update
        [--username <username>]
        [--password <password>]
        [--name <name>]
        [--domain <domain>]
        <registry>

--username <username>

  The new username of registry to update.

--password <password>

  The new password of registry to update.

--name <name>

  The new name of registry to update.

--domain <domain>

  The new domain of registry to update.

registry

  ID or name of the registry to update.

This command is provided by the python-zunclient plugin.

## appcontainer remove floating ip

Remove floating IP address from container

    openstack appcontainer remove floating ip <ip-address>

ip-address

  Floating IP address to remove from container (IP only)

This command is provided by the python-zunclient plugin.

## appcontainer remove security group

Remove security group for specified container.

    openstack appcontainer remove security group
        <container>
        <security_group>

container

  ID or name of the container to remove security group.

security_group

  The security group to remove from specified container.

This command is provided by the python-zunclient plugin.

## appcontainer restart

Restart specified container

    openstack appcontainer restart
        [--timeout <timeout>]
        <container>
        [<container> ...]

--timeout <timeout>

  Seconds to wait for stop before restarting (container)s

container

  ID or name of the (container)s to restart.

This command is provided by the python-zunclient plugin.

## appcontainer run

Create and run a new container

    openstack appcontainer run
        [--name <name>]
        [--cpu <cpu>]
        [--memory <memory>]
        [--environment <KEY=VALUE>]
        [--workdir <workdir>]
        [--label <KEY=VALUE>]
        [--image-pull-policy <policy>]
        [--restart <restart> | --auto-remove]
        [--image-driver <image_driver>]
        [--interactive]
        [--security-group
        <security_group>
        |
        --expose-port <port>
        ]
        [--hint <key=value>]
        [--net <network=network, port=port-uuid,v4-fixed-ip=ip-addr,v6-fixed-ip=ip-addr>]
        [--mount <mount>]
        [--runtime <runtime>]
        [--hostname <hostname>]
        [--disk <disk>]
        [--availability-zone <availability_zone>]
        [--auto-heal]
        [--privileged]
        [--healthcheck <cmd=test_cmd,interval=time,retries=n,timeout=time>]
        [--wait]
        [--registry <registry>]
        [--host <host>]
        [--entrypoint <entrypoint>]
        <image>
        ...

--name <name>

  name of the container

--cpu <cpu>

  The number of virtual cpus.

--memory <memory>

  The container memory size in MiB

--environment <KEY=VALUE>

  The environment variables

--workdir <workdir>

  The working directory for commands to run in

--label <KEY=VALUE>

  Adds a map of labels to a container. May be used multiple times.

--image-pull-policy <policy>

  The policy which determines if the image should be pulled prior to starting the container. It can have following values: “ifnotpresent”: only pull the image if it does not already exist on the node. “always”: Always pull the image from repository.”never”: never pull the image

--restart <restart>

  Restart policy to apply when a container exits(no, on-failure[:max-retry], always, unless-stopped)

--auto-remove

  Automatically remove the container when it exits

--image-driver <image_driver>

  The image driver to use to pull container image. It can have following values: “docker”: pull the image from Docker Hub. “glance”: pull the image from Glance.

--interactive

  Keep STDIN open even if not attached, allocate a pseudo-TTY

--security-group <security_group>

  The name of security group for the container. May be used multiple times.

--expose-port <port>

  Expose container port(s) to outside (format: <port>[/<protocol>]).

--hint <key=value>

  The key-value pair(s) for scheduler to select host. The format of this parameter is “key=value[,key=value]”. May be used multiple times.

--net <network=network, port=port-uuid,v4-fixed-ip=ip-addr,v6-fixed-ip=ip-addr>

  Create network enpoints for the container. network: attach container to the specified neutron networks. port: attach container to the neutron port with this UUID. v4-fixed-ip: IPv4 fixed address for container. v6-fixed-ip: IPv6 fixed address for container.

--mount <mount>

  A dictionary to configure volumes mounted inside the container.

--runtime <runtime>

  The runtime to use for this container. It can have value “runc” or any other custom runtime.

--hostname <hostname>

  Container host name

--disk <disk>

  The disk size in GiB for per container.

--availability-zone <availability_zone>

  The availability zone of the container.

--auto-heal

  The flag of healing non-existent container in docker

--privileged

  Give extended privileges to this container

--healthcheck <cmd=test_cmd,interval=time,retries=n,timeout=time>

  Specify a test cmd to perform to check that the containeris healthy. cmd: Command to run to check health. interval: Time between running the check (`s|m|h`) (default 0s). retries: Consecutive failures needed to report unhealthy.timeout: Maximum time to allow one check to run (`s|m|h`) (default 0s).

--wait

  Wait for run to complete

--registry <registry>

  The container image registry ID or name.

--host <host>

  Requested host to run containers. Admin only by default. (supported by –os-container-api-version 1.39 or above

--entrypoint <entrypoint>

  The entrypoint which overwrites the default ENTRYPOINT of the image.

image

  name or ID of the image

command

  Send command to the container

This command is provided by the python-zunclient plugin.

## appcontainer service delete

Delete the Zun binaries/services.

    openstack appcontainer service delete <host> <binary>

host

  Name of host

binary

  Name of the binary to delete

This command is provided by the python-zunclient plugin.

## appcontainer service disable

Disable the Zun service.

    openstack appcontainer service disable
        [--reason <reason>]
        <host>
        <binary>

--reason <reason>

  Reason for disabling service

host

  Name of host

binary

  Name of the binary to disable

This command is provided by the python-zunclient plugin.

## appcontainer service enable

Enable the Zun service.

    openstack appcontainer service enable <host> <binary>

host

  Name of host

binary

  Name of the binary to enable

This command is provided by the python-zunclient plugin.

## appcontainer service forcedown

Force the Zun service to down or up.

    openstack appcontainer service forcedown [--unset] <host> <binary>

--unset

  Unset the force state down of service

host

  Name of host

binary

  Name of the binary to disable

This command is provided by the python-zunclient plugin.

## appcontainer service list

Print a list of zun services.

    openstack appcontainer service list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

This command is provided by the python-zunclient plugin.

## appcontainer set

Update one or more attributes of the container

    openstack appcontainer set
        [--cpu <cpu>]
        [--memory <memory>]
        [--name <name>]
        [--auto-heal
        |
        --no-auto-heal
        ]
        <container>

--cpu <cpu>

  The number of virtual cpus.

--memory <memory>

  The container memory size in MiB

--name <name>

  The new name of container to update

--auto-heal

  Automatic recovery the status of contaier

--no-auto-heal

  Needless recovery the status of contaier

container

  ID or name of the container to update.

This command is provided by the python-zunclient plugin.

## appcontainer show

Show a container

    openstack appcontainer show [--all-projects] <container>

--all-projects

  Show container(s) in all projects by name.

container

  ID or name of the container to show.

This command is provided by the python-zunclient plugin.

## appcontainer start

Start specified container

    openstack appcontainer start <container> [<container> ...]

container

  ID or name of the (container)s to start.

This command is provided by the python-zunclient plugin.

## appcontainer stats

Display stats of the container.

    openstack appcontainer stats <container>

container

  ID or name of the (container)s to display stats.

This command is provided by the python-zunclient plugin.

## appcontainer stop

Stop specified containers

    openstack appcontainer stop
        [--timeout <timeout>]
        <container>
        [<container> ...]

--timeout <timeout>

  Seconds to wait for stop before killing (container)s

container

  ID or name of the (container)s to stop.

This command is provided by the python-zunclient plugin.

## appcontainer top

Display the running processes inside the container

    openstack appcontainer top [--pid <pid>] <container>

--pid <pid>

  The args of the ps id.

container

  ID or name of the container to display processes.

This command is provided by the python-zunclient plugin.

## appcontainer unpause

unpause specified container

    openstack appcontainer unpause <container> [<container> ...]

container

  ID or name of the (container)s to unpause.

This command is provided by the python-zunclient plugin.

## capsule create

Create a capsule

    openstack capsule create --file <template_file>

--file <template_file>

  Path to the capsule template file.

This command is provided by the python-zunclient plugin.

## capsule delete

Delete specified capsule(s)

    openstack capsule delete <capsule> [<capsule> ...]

capsule

  ID or name of the capsule(s) to delete.

This command is provided by the python-zunclient plugin.

## capsule list

List available capsules

    openstack capsule list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]
        [--marker <marker>]
        [--limit <limit>]
        [--sort-key <sort-key>]
        [--sort-dir <sort-dir>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  List capsules in all projects

--marker <marker>

  The last capsule UUID of the previous page; displays list of capsules after “marker”.

--limit <limit>

  Maximum number of capsules to return

--sort-key <sort-key>

  Column to sort results by

--sort-dir <sort-dir>

  Direction to sort. “asc” or “desc”.

This command is provided by the python-zunclient plugin.

## capsule show

Show a capsule

    openstack capsule show <capsule>

capsule

  ID or name of the capsule to show.

This command is provided by the python-zunclient plugin.

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.